Subject: Re: [mobile-ip] Ordering of Mobility Header

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 24 Sep 2002 17:53:05 -0700

hi Jari,

I would like it if we can specify that the Binding
Authorization Data option always appears last, if
it is used to protect the BU. the advantage is
that by the time you reach the Authorization Data
Option you have already scanned the packet upto 
this option and can include all the relevant fields
while checking the authenticator field.

draft 15 had specifed that the BU Auth Sub-Option 
should always appear last. we dont have such text
in the current draft.

Vijay

Jari Arkko wrote:
> 
> Ryuji Wakikawa wrote:
> 
> > How about the ordering of Mobility options.
> > Is there any recommended ordering for options?
> 
> I don't think we have said anything about the order,
> i.e., any order is legal. I don't think we should
> recommend anything unless it would also be a mandatory
> fixed order.
> 
> But a free order seems like the approach
> taken in IPv6 protocols in general, so perhaps we
> should stick with it here as well.
> 
> Jari